=== debian/changelog ===
ros-foxy-moveit-kinematics (2.2.3-1focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 07 Jan 2022 07:00:00 -0000

ros-foxy-moveit-kinematics (2.2.2-1focal) focal; urgency=high

  * Fix loading joint_limits.yaml in demo and test launch files (#544 <https://github.com/ros-planning/moveit2/issues/544>)
  * Contributors: Jafar Abdi

 -- Dave Coleman <dave@picknik.ai>  Tue, 16 Nov 2021 07:00:00 -0000

ros-foxy-moveit-kinematics (2.2.1-1focal) focal; urgency=high

  * Pluginlib Deprecation Fix (#542 <https://github.com/ros-planning/moveit2/issues/542>)
  * Contributors: David V. Lu!!

 -- Dave Coleman <dave@picknik.ai>  Mon, 12 Jul 2021 06:00:00 -0000

ros-foxy-moveit-kinematics (2.2.0-1focal) focal; urgency=high

  * [sync] MoveIt's master branch up-to https://github.com/ros-planning/moveit/commit/0d0a6a171b3fbea97a0c4f284e13433ba66a4ea4
    * Improve ikfast QUIET handling (#2685 <https://github.com/ros-planning/moveit/issues/2685>)
    * ikfast script: install sympy 0.7.1 from git (#2650 <https://github.com/ros-planning/moveit/issues/2650>)
    * Replaced eigen+kdl conversions with tf2_eigen + tf2_kdl (#2472 <https://github.com/ros-planning/moveit/issues/2472>)
  * Contributors: JafarAbdi, Robert Haschke, Tyler Weaver, ags-dy, petkovich

 -- Dave Coleman <dave@picknik.ai>  Wed, 30 Jun 2021 06:00:00 -0000

ros-foxy-moveit-kinematics (2.1.4-1focal) focal; urgency=high

  * Enable LMA and KDL kinematic launch tests (#435 <https://github.com/ros-planning/moveit2/issues/435>)
  * Contributors: Vatan Aksoy Tezer

 -- Dave Coleman <dave@picknik.ai>  Mon, 31 May 2021 06:00:00 -0000

ros-foxy-moveit-kinematics (2.1.3-1focal) focal; urgency=high

  * Replace last ament_export_libraries macro calls with ament_export_targets (#448 <https://github.com/ros-planning/moveit2/issues/448>)
  * Contributors: Sebastian Jahr

 -- Dave Coleman <dave@picknik.ai>  Sat, 22 May 2021 06:00:00 -0000

ros-foxy-moveit-kinematics (2.1.2-1focal) focal; urgency=high

  * Unify PickNik name in copyrights (#419 <https://github.com/ros-planning/moveit2/issues/419>)
  * Contributors: Tyler Weaver

 -- Dave Coleman <dave@picknik.ai>  Tue, 20 Apr 2021 06:00:00 -0000

ros-foxy-moveit-kinematics (2.1.1-1focal) focal; urgency=high

  * Fix EXPORT install in CMake (#372 <https://github.com/ros-planning/moveit2/issues/372>)
  * Sync main branch with MoveIt 1 from previous head https://github.com/ros-planning/moveit/commit/0247ed0027ca9d7f1a7f066e62c80c9ce5dbbb5e up to https://github.com/ros-planning/moveit/commit/74b3e30db2e8683ac17b339cc124675ae52a5114
  * [fix] export cmake library install (#339 <https://github.com/ros-planning/moveit2/issues/339>)
  * Python3 compatibility for ikfast's round_collada_numbers.py (#2473 <https://github.com/ros-planning/moveit2/issues/2473>)
  * Fix repo URLs in package.xml files
  * Contributors: Henning Kayser, Jafar Abdi, Tobias Fischer, Tyler Weaver

 -- Dave Coleman <dave@picknik.ai>  Mon, 12 Apr 2021 06:00:00 -0000

ros-foxy-moveit-kinematics (2.1.0-1focal) focal; urgency=high

  * [maint] Wrap common cmake code in 'moveit_package()' macro (#285 <https://github.com/ros-planning/moveit2/issues/285>)
    * New moveit_package() macro for compile flags, Windows support etc
    * Add package 'moveit_common' as build dependency for moveit_package()
    * Added -Wno-overloaded-virtual compiler flag for moveit_ros_planners_ompl
  * [maint] small compilation fixes for macOS (#271 <https://github.com/ros-planning/moveit2/issues/271>)
  * [maint] kinematics_base: remove deprecated initialize function (#232 <https://github.com/ros-planning/moveit2/issues/232>)
  * [maint] Enable clang-tidy-fix and ament_lint_cmake (#210 <https://github.com/ros-planning/moveit2/issues/210>)
  * [maint] Simplify kdl now that kinetic support is dropped (#237 <https://github.com/ros-planning/moveit2/issues/237>)
  * [ros2-migration] Migrate to ROS 2 Foxy (#227 <https://github.com/ros-planning/moveit2/issues/227>)
  * [ros2-migration] Port Ikfast kinematics solver (#205 <https://github.com/ros-planning/moveit2/issues/205>)
  * [ros2-migration] Port CachedIKKinematicsPlugin to ROS2 (#207 <https://github.com/ros-planning/moveit2/issues/207>)
  * Contributors: Henning Kayser, Jafar Abdi, Lior Lustgarten, Mark Moll, Mohmmad Ayman, Nathan Brooks, Ruffin

 -- Dave Coleman <dave@picknik.ai>  Mon, 23 Nov 2020 07:00:00 -0000

ros-foxy-moveit-kinematics (2.0.0-1focal) focal; urgency=high

  * [port] Port moveit kinematics to ROS2 (#128 <https://github.com/ros-planning/moveit2/issues/128>)
  * Contributors: Henning Kayser, Jafar Abdi

 -- Dave Coleman <dave@picknik.ai>  Mon, 17 Feb 2020 07:00:00 -0000

ros-foxy-moveit-kinematics (1.1.1-1focal) focal; urgency=high

  * [fix] various issues with Noetic build (#2327 <https://github.com/ros-planning/moveit/issues/2327>)
  * [fix] python3 issues (#2323 <https://github.com/ros-planning/moveit/issues/2323>)
  * Contributors: G.A. vd. Hoorn, Michael Görner, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Tue, 13 Oct 2020 06:00:00 -0000

ros-foxy-moveit-kinematics (1.1.0-1focal) focal; urgency=high

  * [feature] Implementation of parameter TranslationXY2D IKFast (#1949 <https://github.com/ros-planning/moveit/issues/1949>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Delete IKCache copy constructor (#1750 <https://github.com/ros-planning/moveit/issues/1750>)
  * [maint] Move NOLINT instructions to intended positions (#2058 <https://github.com/ros-planning/moveit/issues/2058>)
  * [maint] clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>) (#2004 <https://github.com/ros-planning/moveit/issues/2004>, #1419 <https://github.com/ros-planning/moveit/issues/1419>)
  * [maint] Replace namespaces robot_state and robot_model with moveit::core (#1924 <https://github.com/ros-planning/moveit/issues/1924>)

